<?php

/**
* 01/06/2015
* @author Francis
*/

namespace Teknisa\GER\Services;

use Doctrine\ORM\EntityManager;

class UserService {

	public function __construct(EntityManager $entityManager) {
		$this->entityManager = $entityManager;
	}

	public function getUserByEmail($email) {
		return $this->entityManager->getRepository('\Geral\Entities\Operador')
		->findOneBy(array('dsemailoper' => $email));
	}

	public function getUserByIDAndOrg($id, $organization) {
		return $this->entityManager->getRepository('\Geral\Entities\Operador')
		->findOneBy(array('cdoperador' => $id, 'nrorg' => $organization));
	}

}